Subject: bug#52797: closed (Re: bug#52797: texlive broken install)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 26 Dec 2021 16:45:02 +0000

Your bug report

#52797: texlive broken install

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52797: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52797
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#52797: texlive broken install
From: Tobias Geerinckx-Rice <[email-masked]>
To: Michael Zappa <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Sun, 26 Dec 2021 17:34:55 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael,

Michael Zappa 写道：
> I am currently on a foreign installation of Guix after some time 
> on Guix
> System, and did not appreciate that guix-daemon ran off of the 
> root
> user's guix. Simply running `guix pull` as root and restarting 
> the
> daemon fixed this issue.

\o/

> I see Jéŕemy posted in the 'help' mail list for this issue, I 
> will
> consider that list for questions in the future. I am new to the 
> mailing
> list system.

I think either list is fine.  You encountered a real bug, after 
all; it's not your job to know it was ‘fixed’ or that it wasn't 
‘actually’ related to texlive at all.

Searching issues.guix.gnu.org for existing bug reports first is 
appreciated, but it's not always easy to guess which keywords to 
use.

Plus: closing bugs is fun.  Doing so now.

Kind regards,

T G-R

Subject: texlive broken install
From: Michael Zappa <[email-masked]>
To: [email-masked]
Date: Sat, 25 Dec 2021 16:41:14 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,
'guix install texlive' results in the following error:
'guix install: error: integer expected from stream'

I found a previous bug report https://issues.guix.gnu.org/51983, but
don't have fully understanding of it at the moment.

my guix describe:
  guix b891f85
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: b891f8519dbea5457d9ad154974b1ab1459b4b8b

Happy Holidays to all those who celebrate them,
Michael